Bug 654534

Summary: [abrt] hotssh-0.2.7-2.fc14: vteterm.py:22:<module>:ImportError: No module named vte
Product: [Fedora] Fedora Reporter: Jens Petersen <petersen>
Component: hotsshAssignee: Colin Walters <walters>
Status: CLOSED EOL QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 19CC: garrett.mitchener, gregswift, walters
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Unspecified   
Whiteboard: abrt_hash:39eaf0cc
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-02-17 08:28:42 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Attachments:
Description Flags
File: backtrace none

Description Jens Petersen 2010-11-18 01:26:57 EST
abrt version: 1.1.13
architecture: x86_64
Attached file: backtrace
cmdline: /usr/bin/python /usr/bin/hotssh
component: hotssh
executable: /usr/bin/hotssh
kernel: 2.6.36-4.fc15.x86_64
package: hotssh-0.2.7-2.fc14
reason: vteterm.py:22:<module>:ImportError: No module named vte
release: Fedora release 15 (Rawhide)
time: 1290061416
uid: 500

How to reproduce
-----
1. run hotssh
Comment 1 Jens Petersen 2010-11-18 01:26:59 EST
Created attachment 461225 [details]
File: backtrace
Comment 2 Greg Swift 2011-11-11 22:12:34 EST
i can confirm this still being a problem in Fedora 16.  Installing the 'vte' package does resolve it though.
Comment 3 Fedora End Of Life 2013-04-03 15:09:32 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 4 Garrett Mitchener 2014-04-11 13:10:17 EDT
Still present in Fedora 20

This should be really easy to fix, right? Just add a line to the SPEC file that this requires the package vte...
Comment 5 Garrett Mitchener 2014-04-11 13:11:54 EDT
Actually it's worse than that: When I install vte, that problem goes away, but it gives another exception:

Traceback (most recent call last):
  File "/usr/bin/hotssh", line 73, in <module>
    VteMain().main(SshApp)
  File "/usr/lib/python2.7/site-packages/hotssh/hotvte/vtewindow.py", line 587, in main
    app.restore_session()
  File "/usr/lib/python2.7/site-packages/hotssh/sshwindow.py", line 1636, in restore_session
    restore_session_data=sessiondata)
  File "/usr/lib/python2.7/site-packages/hotssh/sshwindow.py", line 436, in __init__
    self.__reload_entry()
  File "/usr/lib/python2.7/site-packages/hotssh/sshwindow.py", line 580, in __reload_entry
    for host in self.__hosts.get_hosts():
  File "/usr/lib/python2.7/site-packages/hotssh/sshwindow.py", line 232, in get_hosts
    self.__hostcache = self.__read_hosts()
  File "/usr/lib/python2.7/site-packages/hotssh/sshwindow.py", line 212, in __read_hosts
    hostip,rest = line.split(' ', 1)
ValueError: need more than 1 value to unpack

So apparently vte has changed in some way to break compatibility with hotssh?
Comment 6 Fedora End Of Life 2015-01-09 11:26:02 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2015-02-17 08:28:42 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.